man(1)

NAME
nymea-generateplugininfo - A precompiler for building nymea plugins.

SYNOPSIS
nymea-generateplugininfo [OPTION]

DESCRIPTION
The nymea-generateplugininfo is a precompiler for building plugins. This precompiler will create a plugininfo.h containing the uuid definitions from the plugin json file and creates the translations for the plugin.

OPTIONS

-h, --help
    Displays this help.

-v, --version
    Displays version information.

-f, --filetype, {e, i}
    The file type to generate: e = extern infofile, i = infofile.

-j, --jsonfile, <jsonfile>
    The JSON input file name with the plugin description.

-b, --builddir, <build directory>
    The path to the build directory of the plugin where the plugininfo.h file can be found..

-o, --output, <outputfile>
    The plugininfo.h outputFile with the uuid declarations.

-t, --translations, [<*.ts>]
    The translation files for the plugin.

SEE ALSO
Full developer documentation at: <https://doc.nymea.io>
Wiki on github: <https://github.com/guh/nymea/wiki>

REPORTING BUGS
Issue tracker on github: <https://github.com/guh/nymea/issues>
How to report bugs: <https://github.com/guh/nymea/wiki/Reporting-bugs>

AUTHOR
Written by Simon Stürz

COPYRIGHT
Copyright © 2014-2017 guh GmbH.
License GPLv2: GNU GPL version 2 <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.